/*
requiere el div : transportdiv
<div id="transportdiv" name='transportdiv' style="border-width:1px; border-color:rgb(0,0,240); border-style:solid; display: none;"></div>            

y la pagina wwindows_rpc.php

ademas requiere que el php con el rpc ejecute activar luego de terminar su trabajo.

se inicia con inicio_ciclo();

*/




var page_request = false;
if (window.XMLHttpRequest) // if Mozilla, IE7, Safari etc
	page_request = new XMLHttpRequest();
else 
	page_request = new ActiveXObject("Msxml2.XMLHTTP");



function ajax(url){
	//page_request.open('GET', url+"&"+new Date().getTime(), true)
	page_request.open('GET', url+"&"+new Date().getTime(), false)
	page_request.onreadystatechange=function() {
		if (page_request.readyState == 4 ){
			eval(page_request.responseText);
		};
	};
	page_request.send(null)
};





var intervalo10s=0;
var intervalo2s=0;



var ultimafecha;
var fechaactual;

function desactivar() {

	clearTimeout(intervalo10s);
	clearTimeout(intervalo2s);
	//alert("desactivado "+sec);
	intervalo10s=setTimeout('inicio_ciclo(this.name)',12000); // creamos este ciclo que se llama si el otro no se llamo.
	//alert("desactivar ");
}

function reactivar() {
	var varfecha2 = new Date();
	fechaactual=varfecha2.getTime();
	if (fechaactual-ultimafecha>5000) {
		
		activar();
	}
	ultimafecha=fechaactual;
}

function activar() { // es usado???
var varfecha = new Date();
ultimafecha=varfecha.getTime();

clearTimeout(intervalo10s);
clearInterval(intervalo2s);
intervalo2s=setInterval('callToServer(this.name)',4000); 
//alert("activar ");
}

function inicio_ciclo() {
	clearInterval(intervalo2s);
	intervalo2s=setInterval('callToServer(this.name)',4000); // creamos el ciclo corto.
	//alert("comienza !"+intervalo2s); // <---------------------------------------------------------
}

function callToServer(archivophp) {
	desactivar();
	//fetchUrl(phprpc, 'transportdiv');
	//ajax(phprpc);
	
}



function fetchUrl(urlName, divName) {
	// Fetch HTML fragment
		var mini;
		// URL to fetch
		if (urlName.indexOf('?')>0) {
			mini='&';
		} else {
			mini='?';		
		};
	southprojects.Transport.fetch({
		url: urlName + mini + Math.random(),	
		// Onload event handler
		async : false,
		onLoad: function(objRequest) {
			// Show container
			document.getElementById(divName).style.display = '';
			// Put fetched fragment into transport div
			var strHtml = objRequest.responseText;
			southprojects.Transport.setInnerHtml({
				html: strHtml,
				container: divName
			});
			// Put fetched fragment into sourceCode div
		}	
	});
}
